> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Opal Events

Opal emits a variety of events throughout the user session to indicate progress, completion, errors, and important milestones.
Events are stored in real-time and can be used to update your UI, trigger additional actions, or perform analytics.

<Note>
  Events are on a per-token basis. You must pass in the token that you want to
  retrieve events for. Token expiration does not affect event availability.
</Note>

## All Events

Please see [Opal Events](/opal/events) for a list of all events and when they are typically emitted.

***

<RequestExample>
  ```bash cURL theme={null}
    curl "https://production.methodfi.com/opal/events" \
      -X GET \
      -H "Method-Version: 2026-03-30" \
      -H "Authorization: Bearer otkn_EAbNWUinQXnwENcqWyGfKAemHGnqtbqh"
  ```

  ```javascript Node.js theme={null}
  const response = await method.opal.events.list(
    "otkn_EAbNWUinQXnwENcqWyGfKAemHGnqtbqh"
  );
  ```

  ```python Python theme={null}
  response = method.opal.events.list(
    "otkn_EAbNWUinQXnwENcqWyGfKAemHGnqtbqh"
  )
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "type": "card_connect.card.verified",
        "mode": "card_connect",
        "object": "card",
        "action": "verified",
        "timestamp": "2025-06-10T22:50:53.024Z",
        "data": {
          "account": "acc_ge9hxMTPGdXmQ"
        }
      },
      {...}
    ]
  }
  ```
</ResponseExample>
